> ## Documentation Index
> Fetch the complete documentation index at: https://docs.compute-desk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Contracts

> Get list of available contract types from supported vendors.

Returns supported contract types (e.g., `ondemand`, `spot`). Not all vendors support all contract types — check the vendor-specific notes in [Available Vendors](/api-reference/endpoint/available-vendors).


## OpenAPI

````yaml GET /available_contracts
openapi: 3.1.0
info:
  title: Supply Service
  description: GPU offers querying and provisioning service
  version: 0.1.0
servers:
  - url: https://supply-api.compute-desk.com
security: []
paths:
  /available_contracts:
    get:
      tags:
        - Contracts
      summary: Get Available Contracts
      description: Get list of available contract types from supported vendors.
      operationId: get_available_contracts_available_contracts_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AvailableContractsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    AvailableContractsResponse:
      properties:
        contract_types:
          items:
            type: string
          type: array
          title: Contract Types
        description:
          additionalProperties:
            type: string
          type: object
          title: Description
          description: Description of each contract type
      type: object
      required:
        - contract_types
        - description
      title: AvailableContractsResponse
      description: Response for available contract types.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````